Summary:	Clone of a Risk clone
Name:		teg
Version:	0.11.2
Release:	%mkrel 8
URL:		http://teg.sourceforge.net/
License:	GPLv2+
Group:		Games/Strategy

Source0:	%{name}-%{version}.tar.bz2
Patch0:		teg-0.11.2-remove-de-comment.patch
BuildRequires:	GConf2
BuildRequires:	gnomeui2-devel
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
Requires(post): GConf2
Requires(preun): GConf2

%description
Tenes Emapandas Graciela (TEG) is a clone of 'Plan Táctico y Estratégico
de la Guerra' (Tactical and Strategic plan of the War), which is a
pseudo-clone of Risk, a turn-based strategy game. Some rules are
different.

%prep
%setup -q
%patch0 -p0
# strange perms on some files
chmod 640 AUTHORS ChangeLog PEOPLE README* ReleaseNotes.txt TODO

%build
%configure2_5x --bindir=%{_gamesbindir}
%make


%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std bindir=%{_gamesbindir}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/gnome/apps/Games/*

mkdir -p %{buildroot}%{_iconsdir} \
	 %{buildroot}%{_miconsdir} \
	 %{buildroot}%{_liconsdir}
convert -geometry 48x48 client/teg_pix/teg_icono.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 client/teg_pix/teg_icono.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 client/teg_pix/teg_icono.png %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name} --with-gnome

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%attr(0644, root, root) %doc AUTHORS ChangeLog PEOPLE README* ReleaseNotes.txt TODO
%{_gamesbindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/%name.desktop
%{_datadir}/gnome/apps/Games/%name.desktop
%{_sysconfdir}/gconf/schemas/%name.schemas
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png






%changelog
* Sun Jul 24 2011 stormi <stormi> 0.11.2-8.mga2
+ Revision: 128142
- increase release so that it's higher than in mageia 1

* Sun Jul 03 2011 zezinho <zezinho> 0.11.2-7.mga2
+ Revision: 117746
- imported package teg


* Fri Dec 03 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.11.2-7mdv2011.0
+ Revision: 606764
- Rebuild

* Wed Sep 09 2009 Thierry Vignaud <tv@mandriva.org> 0.11.2-6mdv2010.0
+ Revision: 434315
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sat Aug 02 2008 Thierry Vignaud <tv@mandriva.org> 0.11.2-5mdv2009.0
+ Revision: 261458
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.11.2-4mdv2009.0
+ Revision: 254353
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.11.2-2mdv2008.1
+ Revision: 136535
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 01 2007 Funda Wang <fwang@mandriva.org> 0.11.2-2mdv2008.0
+ Revision: 77294
- Remove wrong de comment of menu entry

* Thu May 31 2007 Olivier Blin <oblin@mandriva.com> 0.11.2-1mdv2008.0
+ Revision: 33157
- use XDG menu instead of old debian style menu (and thus fix #18518)
- 0.11.2


* Sun Jan 07 2007 Olivier Blin <oblin@mandriva.com> 0.11.1-2mdv2007.0
+ Revision: 105175
- rebuild with openssl (#28013)
- use gconf schemas macros
- do not run intltoolize, it is not required anymore
- Import teg

* Thu Jul 29 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 0.11.1-1mdk
- new version

* Wed Feb 18 2004 Abel Cheung <deaddog@deaddog.org> 0.11.0-5mdk
- Patch0: from Andre van Blokland <avblokland@gmx.net>:
  o Added patches from CVS which hopefully stops the client from crashing
- Remove server menu entry, it can be started via client
- Move binary to $gamesbindir

